Jump to content
andreas

Leadwerks fails to start

Recommended Posts

Hi

Got steam installed on debian stretch. Ldd tells me that all libraries are in place, but when program is started, I just see a white window with black and white toolbars, with a blinking smaller window on top with leadwerks logo etc.

Unable to click on anything.

 

Using Nvidia gtx960 with proprietary drivers installed.

 

Could it be that it hates my awesome window manager or something?

Share this post


Link to post

Hi again.

Installed xfce4, gave the box a reboot and logged into my shiny new xfce4 desktop manager and everything worked as expected.

 

So I guess its solved. But logging out from everything Im doing, and in to xfce4 desktop just to run leadwerks will get cumbersome...

 

Anyone got some good advice on how to get Leadwerks running on awesomewm? Problems like these are extremely rare, so I guess they are easily fixable? :)

Share this post


Link to post

As far i known the LE dosent support a WM engines...even if its a Lightting or awesomeWM ))

So the solution is to use any outher DE of your choise and not on WMs )

Share this post


Link to post

Seems to work fine, for the most part, in Fluxbox. The project manager and other windows that are static size need to be maximised in order to interact with them.

 

The main issue that I have faced is the model editor is broken. Models are patchy and save in a patched state and there seems to be no fix in sight. sad.png

 

Using Debian Jessie GNU/Linux.

Share this post


Link to post

I ran Leadwerks in Bunsenlabs sometime ago. But it uses Openbox, I believe. There were just some minor visual flaws with it. Like missing button graphics etc. I could still click the text label though, so it wasn't a big issue.

Share this post


Link to post

Hi guys.

Just faced with problem this morning. LE fails start.

 

So I went to folder: ~/.steam/steam/steamapps/common/Leadwerks and run ./Leadwerks.sh

 

Got this error.

 

./Leadwerks: error while loading shared libraries: libgtk-x11-2.0.so.0: cannot open shared object file: No such file or directory

 

A bit googling and found solution here:

http://askubuntu.com/questions/356605/ubuntu-64-bit-machinarium-error-while-loading-shared-libraries-libgtk-x11-2-0

 

 

sudo apt-get install libgtk2.0-0:i386

 

 

ldconfig -p | grep gtk and I have my library.

 

Try again. Similar arror for openal. Try to install:

 

 

sudo apt-get install libopenal-dev:i386

 

Seems it worked. But. Try to run again. And...

 

 

 

Gtk-Message: Failed to load module "pantheon-filechooser-module"

 

(Leadwerks:7935): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

 

(Leadwerks:7935): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

 

(Leadwerks:7935): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",

Gtk-Message: Failed to load module "canberra-gtk-module"

[s_API FAIL] SteamAPI_Init() failed; no appID found.

Either launch the game from Steam, or put the file steam_appid.txt containing the correct appID in your game folder.

Segmentation fault (core dumped)

 

Do you have any idea what is wrong?

Yesterday everything worked just fine.

 

P.S. Running from steam app just show loading title and application just disappear.

Share this post


Link to post

Ok, message

Gtk-Message: Failed to load module "canberra-gtk-module"

 

fixed with

sudo apt-get install libcanberra-gtk-module:i386

 

But it did not help.

 

And there appeared another error:

Gtk-Message: Failed to load module "pantheon-filechooser-module"

 

Went through steps here: http://askubuntu.com/questions/684169/gtk-message-failed-to-load-module-pantheon-filechooser-module

 

Message disappeared, but (segmentation fault) message still there.

 

As well, added steam_appid.txt to the folder. Seems like LE fails on (or after) loading probe.shader.

 

 

... a lot of lines with initial staff and Gtk warnings ...

Loading shader "~/Documents/Leadwerks/Projects/tutors/Shaders/Model/Shadow/shadow.shader"...

Loading shader "~/Documents/Leadwerks/Projects/tutors/Shaders/Lighting/pointlight.shader"...

Loading shader "~/Documents/Leadwerks/Projects/tutors/Shaders/Lighting/spotlight.shader"...

Loading shader "~/Documents/Leadwerks/Projects/tutors/Shaders/Lighting/probe.shader"...

Segmentation fault (core dumped)

 

 

Any idea?

 

P.S. Btw, I have Elementary OS Freya.

Share this post


Link to post

Since something happened when loading "Loading shader "~/Documents/Leadwerks/Projects/tutors/Shaders/Lighting/probe.shader"..." or something in "tutrors" prject. I have tried to move this project outside Projects folder. And LE starts ok.

 

And it is not fun. What would be if I had this project for a while?

I think developers should pay attention on it.

Share this post


Link to post

Since something happened when loading "Loading shader "~/Documents/Leadwerks/Projects/tutors/Shaders/Lighting/probe.shader"..." or something in "tutrors" prject. I have tried to move this project outside Projects folder. And LE starts ok.

 

And it is not fun. What would be if I had this project for a while?

I think developers should pay attention on it.

 

Moved my project back, and "Project Manager" does not see this project.

But at least LE started.

Share this post


Link to post

You can import the project from the project manager. Projects can be located in any location.

Share this post


Link to post

Confirmed to.. after a two weeks of wakations ill start as usualy the steam and then the LE.. and its just crasht right about on start... the recomendations listed before and on the networks dosent work.. any idea how to solve it Josh??  )

Share this post


Link to post

You can always switch back to version 4.4 in the Steam application settings.

Share this post


Link to post

I just tried on a clean install of Ubuntu 16.04 and everything started perfectly. The only issue is the script editor is crashing. I will investigate this next.

Share this post


Link to post
12 hours ago, Josh said:

You can always switch back to version 4.4 in the Steam application settings.

Ill tried this ... the result was the same..
I also tried the steam client from official website .. but there was a small issues with some depends pkgs and the client crash..
the next move was to install it from deb-repository and its work fine.. and start perfectly the game i have on it.. but not the LE  

 

Share this post


Link to post
8 hours ago, Josh said:

I just tried on a clean install of Ubuntu 16.04 and everything started perfectly. The only issue is the script editor is crashing. I will investigate this next.

Confirmed that to... on an Ubuntu it work, and as you spot it its crash on script editor..

And the steam client was also installed from Ubuntu-repositories

Share this post


Link to post
On 1/27/2018 at 9:27 PM, Josh said:

Okay, the fix is now available on the beta branch. Enjoy. :D

Confirm!! about 4:30 of this morning its updated!! everything works fine!

BTW.. after of today experiment with testing of NVIDIA's new videodriver from official website ill crashed the X.org xserver :unsure:

so... the reconfiguring of entire system helps to make working the LE on Debian-9 !! and ill think that problem is SOLVED!

thanks again for quick response Josh! :)

Share this post


Link to post

Yeah, that was a bit scary for a while but after everything it seems LE is very nice and stable on the latest Linux versions, and the installation process has gotten better.

Share this post


Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...